Index: docs/user/registry_installation.html
===================================================================
--- docs/user/registry_installation.html	(revision 4606)
+++ docs/user/registry_installation.html	(revision 4607)
@@ -9,6 +9,25 @@
   <style type="text/css">
 /*<![CDATA[*/
   ol.decimal { list-style-type: decimal; }
+	li { padding-bottom: 5px; }
+	blockquote { 
+		background-color: #f5f5f5;
+		margin: 10px 15px 5px 20px;
+		padding: 1px 0px 1px 10px;
+	}
+
+	.keyword {
+		color: #00008b;
+	}
+
+	.type {
+		color: #2b91af;
+	}
+
+	.string {
+		color: #810541;
+	}
+
   /*]]>*/
   </style>
 
@@ -86,43 +105,46 @@
   <ol class="decimal">
     <li>
       <p>Download and extract the Metacat release:</p>
-      <pre>
-<code>mkdir metacat &amp;&amp; cd metacat 
-wget http://knb.ecoinformatics.org/software/dist/metacat-src-1.8.0.zip
-unzip metacat-src-1.8.0.zip
-cd metacat-1.8.0
-export METACAT=`pwd`
-</code>
+      <blockquote>
+<pre><span class="type">mkdir</span> metacat &amp;&amp; cd metacat 
+<span class="type">wget</span> http://knb.ecoinformatics.org/software/dist/metacat-src-1.8.0.zip
+<span class="type">unzip</span> metacat-src-1.8.0.zip
+<span class="type">cd</span> metacat-1.8.0
+<span class="type">export</span> METACAT=`pwd`
 </pre>
+</blockquote>
     </li>
 
     <li>
       <p>Build the Metacat Perl client library:</p>
-      <pre>
-<code>cd $METACAT/src/perl/Metacat
-perl Makefile.PL
-make
-sudo make install
-</code>
+      <blockquote>
+<pre><span class="type">cd</span> $METACAT/src/perl/Metacat
+<span class="type">perl</span> Makefile.PL
+<span class="type">sudo make</span>
+<span class="type">sudo make install</span>
 </pre>
+</blockquote>
     </li>
 
     <li>
-      <p>Install the system libraries needed. On Redhat:</p>
-      <pre>
-<code>sudo yum install gcc libxml2-devel libxslt-devel ant -y
-</code>
+      <p>Install the system libraries needed. On Redhat:
+      <blockquote>
+<pre><span class="type">sudo yum install</span> gcc libxml2-devel libxslt-devel ant -y
 </pre>
+</blockquote>
 
-      <p>On Debian:
-      <pre><code>
-sudo apt-get install ant libappconfig-perl libxml-libxml-perl libxml-libxslt-perl libtemplate-perl \
-libcgi-session-perl libdigest-sha1-perl libnet-ldap-perl libterm-readkey-perl libxml-dom-perl libsoap-lite-perl -y
-</code></pre>
+      On Debian:
+      <blockquote>
+			<pre>
+<span class="type">sudo apt-get install</span> ant libappconfig-perl libxml-libxml-perl libxml-libxslt-perl \
+libtemplate-perl libcgi-session-perl libdigest-sha1-perl libnet-ldap-perl \ 
+libterm-readkey-perl libxml-dom-perl libsoap-lite-perl -y
+</pre>
+</blockquote>
 	  You will need to install one package using cpan
-      <pre><code> sudo cpan -i Config::Properties</code></pre>
+      <blockquote><pre><span class="type">sudo cpan</span> -i Config::Properties</pre></blockquote>
 
-      Now, skip ahead to step 7. Debian users can avoid using CPAN, as apt-get installs the software they need.<br><br>
+      Debian users should skip ahead to step 7.
 </p>
     </li>
 
@@ -131,27 +153,27 @@
       dependencies for the registry and account management parts of
       Metacat. If asked to manually configure cpan, type 'no' and
       CPAN will be setup with its default values.</p>
-      <pre>
-<code>sudo yum install perl-CPAN
-sudo cpan
-</code>
+      <blockquote>
+<pre><span class="type">sudo yum install</span> perl-CPAN
+<span class="type">sudo cpan</span>
 </pre>
+</blockquote>
 
       <p>You should now see a prompt which looks like:</p>
-      <pre>
-<code>cpan&gt; 
-</code>
+      <blockquote>
+<pre><span class="string">cpan&gt;</span>
 </pre>
+</blockquote>
 
       <p>The rest of the commands will assume you're inside of
       CPAN. Let's get the most recent version of the CPAN software.
       Just press return after any prompts you recieve during this
       process.</p>
-      <pre>
-<code>install Bundle::CPAN
-reload cpan`
-</code>
+      <blockquote>
+<pre>install Bundle::CPAN
+reload cpan
 </pre>
+</blockquote>
     </li>
 
     <li>
@@ -159,8 +181,8 @@
       LibXSLT, as the current one requires a newer libxslt than is
       available on Redhat 4 &amp; 5. Again, just answer 'yes' to
       any questions.</p>
-      <pre>
-<code>install AutoLoader
+      <blockquote>
+<pre>install AutoLoader
 install CGI
 install CGI::SEssion
 install LWP::UserAgent
@@ -168,8 +190,8 @@
 install Template 
 install URI
 install MSERGEANT/XML-LibXSLT-1.58.tar.gz
-</code>
 </pre>
+</blockquote>
     </li>
 
     <li>
@@ -178,12 +200,12 @@
       scripts will be installed into, with a default of
       '/var/www/cgi-knb'. To install the registry and the account
       manager to this folder we'll run ant:</p>
-      <pre>
-<code>cd $METACAT
-sudo ant install-registry
-sudo ant insall-ldap
-</code>
+      <blockquote>
+<pre><span class="type">cd</span> $METACAT
+<span class="type">sudo ant</span> install-registry
+<span class="type">sudo ant</span> insall-ldap
 </pre>
+</blockquote>
     </li>
 
     <li>
@@ -190,15 +212,15 @@
       <p>A registry instance can support one or more skins. Skins
       provide a mechanism for giving a custom look to your Metacat
       installation, but require integration work to initially
-      create. For this example, we'll use the <code>nceas</code>
+      create. For this example, we'll use the <pre>nceas</pre>
       skin provided with Metacat. First, we'll want to install the
       skin:</p>
-      <pre>
-<code>sudo ant install-skin
-</code>
+      <blockquote>
+<pre><span class="type">sudo ant</span> install-skin
 </pre>
+</blockquote>
 
-      <p>When prompted, type <code>nceas</code>.</p>
+      <p>When prompted, type <pre><span class="string">nceas</span></pre>.</p>
     </li>
 
     <li>
@@ -207,14 +229,15 @@
       space to store uploaded files. If you'd like your registry to
       allow file uploads, we'll need to make sure Apache can write
       to it. The apache user varies from machine to machine, but
-      typically it will be either <code>www-data</code> or
-      <code>apache</code>. Once finding your appropriate apache
+      typically it will be either
+			<pre><code>www-data</code> or <code>apache</code></pre>. 
+			Once finding your appropriate apache
       user, we'll want to change ownership of a few files, here
       using the user <code>apache</code>:</p>
-      <pre>
-<code>sudo chown apache /tmp/knb
-</code>
+      <blockquote>
+<pre><span class="type">sudo chown</span> apache /tmp/knb
 </pre>
+</blockquote>
 
       <p>Each skin has a 'lastid' file, which controls which the
       accession numbers metacat generates. As with the temporary
@@ -221,11 +244,11 @@
       folder, we'll want the registry to be able to write to this
       file, replacing the skin name with the skin you're planning
       on using:</p>
-      <pre>
-<code>sudo touch /var/www/org.ecoinformatics.knb/knb/style/skins/nceas/nceas.lastid
+      <blockquote>
+<pre>sudo touch /var/www/org.ecoinformatics.knb/knb/style/skins/nceas/nceas.lastid
 sudo chown apache /var/www/org.ecoinformatics.knb/knb/style/skins/nceas/nceas.lastid
-</code>
 </pre>
+</blockquote>
 
       <p>You'll need to have one lastid file for each skin your
       site will support.</p>
@@ -234,8 +257,8 @@
     <li>
       <p>Configure Apache to serve up the pages we've just
       configured. In your httpd.conf or equivalent, add:</p>
-      <pre>
-<code>ScriptAlias /cgi-bin/ "/var/www/cgi-knb/"
+      <blockquote>
+<pre>ScriptAlias /cgi-bin/ "/var/www/cgi-knb/"
 &lt;Directory "/var/www/cgi-knb"&gt;
     AllowOverride None
     Options ExecCGI
@@ -242,26 +265,26 @@
     Order allow,deny
     Allow from all
 &lt;/Directory&gt;`
-</code>
 </pre>
+</blockquote>
 
       <p>Then reload Apache:</p>
-      <pre>
-<code>/etc/init.d/httpd reload
-</code>
+      <blockquote>
+<pre>/etc/init.d/httpd reload
 </pre>
+</blockquote>
     </li>
     
     <li>
       <p>Change owner and access permission of some credential files:</p>
-      <pre>
-<code>cd /webapps/knb/style/skins/</code>
-<code>find . -name "*.cfg" -exec chmod 600 {} \;</code>
-<code>find . -name "*.cfg" -exec chown apache {} \;</code>
-</pre>
+      <blockquote>
+<pre>cd /webapps/knb/style/skins/</pre>
+<pre>find . -name "*.cfg" -exec chmod 600 {} \;</pre>
+<pre>find . -name "*.cfg" -exec chown apache {} \;</pre>
+</blockquote>
 
 <p>Note: "/webapps/knb" is subject to change base on your configuration.</p>
-<p>         "apache" user is the one who runs httpd server.</p
+<p>         "apache" user is the one who runs httpd server.</p>
  
       <p>Those commands will make the files which contain credentials are not accessible
       from web browsers. </p>
@@ -269,10 +292,10 @@
 
     <li>
       <p>Now visit the resulting URL:</p>
-      <pre>
-<code>http://localhost/cgi-bin/register-dataset.cgi?cfg=nceas
-</code>
+      <blockquote>
+<pre>http://localhost/cgi-bin/register-dataset.cgi?cfg=nceas
 </pre>
+</blockquote>
 
       <p>If everything worked correctly, you should see a page like
       this: <img src="images/registry-login.jpg" alt=
@@ -293,40 +316,40 @@
       can be obtained from the <a href=
       "http://www.oracle.com/technology/software/tech/oci/instantclient/htdocs/linuxsoft.html">
       oracle website</a>.</p>
-      <pre>
-<code>rpm -i oracle-instantclient-basic-10.2.0.3-1.i386.rpm
+      <blockquote>
+<pre>rpm -i oracle-instantclient-basic-10.2.0.3-1.i386.rpm
 rpm -i oracle-instantclient-devel-10.2.0.3-1.i386.rpm
 rpm -i oracle-instantclient-sqlplus-10.2.0.3-1.i386.rpm
-</code>
 </pre>
+</blockquote>
     </li>
 
     <li>
-      <p>Next, we'll need an <code>tnsnames.ora</code> file for
+      <p>Next, we'll need an <pre>tnsnames.ora</pre> file for
       Oracle to locate the server we're connecting to. In this
       example, we'll copy it from a remote location:</p>
-      <pre>
-<code>mkdir -p /usr/lib/oracle/10.2.0.3/network/admin/ &amp;&amp; cd !$
+      <blockquote>
+<pre>mkdir -p /usr/lib/oracle/10.2.0.3/network/admin/ &amp;&amp; cd !$
 scp walbridge@knb.ecoinformatics.org:/usr/lib/oracle/10.1.0.4/network/admin/tnsnames.ora .
-</code>
 </pre>
+</blockquote>
     </li>
 
     <li>
       <p>The AdminDB is accessed via Perl, so install the needed
       Oracle driver using CPAN:</p>
-      <pre>
-<code>cpan
+      <blockquote>
+<pre>cpan
 install DBI
 install DBD::Oracle
-</code>
 </pre>
+</blockquote>
     </li>
 
     <li>
       <p>Now we can install the AdminDB module itself:</p>
-      <pre>
-<code>mkdir -p ~/projects/admindb &amp;&amp; cd !$
+      <blockquote>
+<pre>mkdir -p ~/projects/admindb &amp;&amp; cd !$
 export CVSROOT=:ext:walbridge@cvs.nceas.ucsb.edu:/cvsnceas
 cvs co admindb
 cd admindb/perl/NCEAS/AdminDB
@@ -333,23 +356,23 @@
 perl Makefile.PL
 make
 sudo make install
-</code>
 </pre>
+</blockquote>
     </li>
 
     <li>
       <p>Finally, set the correct properties in the
-      <code>nceas.cfg</code> file:</p>
-      <pre>
-<code>nceas_db = //hyperion.nceas.ucsb.edu:1521/nceasp.nceas.ucsb.edu
+      <pre>nceas.cfg</pre> file:</p>
+      <blockquote>
+<pre>nceas_db = //hyperion.nceas.ucsb.edu:1521/nceasp.nceas.ucsb.edu
 nceas_db_user = admowner
 nceas_db_password = NCEAS_DB_READ_PASSWORD_HERE
-</code>
 </pre>
+</blockquote>
     </li>
 
     <li>
-      <p>A quick check of <code>register-dataset.cgi</code> should
+      <p>A quick check of <pre>register-dataset.cgi</pre> should
       now show a complete list of projects: <img src=
       "images/registry-nceas-projects.png" alt=
       "NCEAS Project list" /></p>