Index: lib/style/skins/first/search.js
===================================================================
--- lib/style/skins/first/search.js	(revision 4635)
+++ lib/style/skins/first/search.js	(revision 4636)
@@ -352,7 +352,7 @@
 			
 			//assessment fields
                +"<returnfield>assessment/duration</returnfield>"
-               +"<returnfield>assessment/@title</returnfield>"
+               +"<returnfield>assessment/title</returnfield>"
                +"<returnfield>assessment/@id</returnfield>"
                +"<returnfield>lom/general/title/string</returnfield>"
                +"<returnfield>lom/general/keyword/string</returnfield>"
@@ -417,7 +417,7 @@
 		     
 		     +"<returndoctype>edml://ecoinformatics.org/edml</returndoctype>"
 		                           
-                      +"<returnfield>assessment/@title</returnfield>"
+                      +"<returnfield>assessment/title</returnfield>"
                       +"<returnfield>assessment/@id</returnfield>"
                       +"<returnfield>assessment/duration</returnfield>"
                       +"<returnfield>lom/general/title/string</returnfield>"
@@ -456,7 +456,7 @@
 		     
 		     +"<returndoctype>edml://ecoinformatics.org/edml</returndoctype>"
 		                           
-                      +"<returnfield>assessment/@title</returnfield>"
+                      +"<returnfield>assessment/title</returnfield>"
                       +"<returnfield>assessment/@id</returnfield>"
                       +"<returnfield>assessment/duration</returnfield>"
                       +"<returnfield>lom/general/title/string</returnfield>"
Index: lib/style/skins/first/cart.jsp
===================================================================
--- lib/style/skins/first/cart.jsp	(revision 4635)
+++ lib/style/skins/first/cart.jsp	(revision 4636)
@@ -144,10 +144,10 @@
 						</tr>
 						<tr>
 							<td>
-								<input type="checkbox" name="title" value="//assessment/@title" />
+								<input type="checkbox" name="title" value="//assessment/title" />
 									Title
 								<br/>	
-								<input type="checkbox" name="type" value="//assessment/@type"/>
+								<input type="checkbox" name="type" value="//assessment/type"/>
 									Type
 								<br/>	
 								<input type="checkbox" name="duration" value="//assessment/duration"/>
Index: lib/style/skins/first/first-resultset.xsl
===================================================================
--- lib/style/skins/first/first-resultset.xsl	(revision 4635)
+++ lib/style/skins/first/first-resultset.xsl	(revision 4636)
@@ -174,7 +174,7 @@
 							<a>
 								<xsl:attribute name="href">javascript:submitform('read',document.<xsl:value-of	select="translate(./docid, '()-.', '____')" />)</xsl:attribute>
 								<xsl:text>&#187;&#160;</xsl:text>
-								<xsl:value-of select="./param[@name='assessment/@title']"/>
+								<xsl:value-of select="./param[@name='assessment/title']"/>
 							</a>
 							<br />
 							<br />
Index: lib/style/skins/first/index.jsp
===================================================================
--- lib/style/skins/first/index.jsp	(revision 4635)
+++ lib/style/skins/first/index.jsp	(revision 4636)
@@ -145,8 +145,8 @@
 							<tr>
 								<td>
 									<select id="otherField" name="otherValue">
-										<option value="assessment/@title">Assessment Title</option>
-										<option value="assessment/@type">Assessment Type</option>
+										<option value="assessment/title">Assessment Title</option>
+										<option value="assessment/type">Assessment Type</option>
 										<option value="assessment/duration">Assessment Duration</option>
 										<option value="course/term">Course Term</option>
 									</select>
Index: lib/style/skins/first/assessmentQuery.jsp
===================================================================
--- lib/style/skins/first/assessmentQuery.jsp	(revision 4635)
+++ lib/style/skins/first/assessmentQuery.jsp	(revision 4636)
@@ -17,7 +17,7 @@
 	//the "columns" to extract from the metadata document (will be param soon)
 	Map attributeMap = new OrderedMap();
 	attributeMap.put("id", "//@packageId");
-	attributeMap.put("title", "//assessment/@title");
+	attributeMap.put("title", "//assessment/title");
 	attributeMap.put("duration", "//assessment/duration");
 	attributeMap.put("badColumn", "//does/not/exist");
 	attributeMap.put("item", "//assessmentItems/assessmentItem/assessmentItemId");
Index: lib/style/skins/first/first-assessment-resultset.xsl
===================================================================
--- lib/style/skins/first/first-assessment-resultset.xsl	(revision 4635)
+++ lib/style/skins/first/first-assessment-resultset.xsl	(revision 4636)
@@ -369,7 +369,7 @@
 							<a>
 								<xsl:attribute name="href">javascript:submitform('read','<xsl:value-of select="./docid" />',document.readForm)</xsl:attribute>
 								<xsl:text>&#187;&#160;</xsl:text>
-								<xsl:value-of select="./param[@name='assessment/@title']" />
+								<xsl:value-of select="./param[@name='assessment/title']" />
 							</a>
 							(<xsl:value-of select="./docid" />)
 							