Index: docs/user/metacatinstall-backup.html
===================================================================
--- docs/user/metacatinstall-backup.html	(revision 4653)
+++ docs/user/metacatinstall-backup.html	(nonexistent)
@@ -1,661 +0,0 @@
-<table class="tabledefault" width="100%">
-<td class="tablehead" colspan="2"><p><a name="Edit build.properties File"><h2>Edit <code>build.properties</code> File</h2></p></td>
-<tr>
-<td>
-  <p>
-   Once all of the prerequisite software is installed as described above, 
-   the installation of Metacat can begin.  First you must have a current
-   version of the source distribution of Metacat.  You can get it two ways.
-   Authorized users can check it out of the NCEAS 
-   <a href="http://www.nceas.ucsb.edu/cgi-bin/cvsweb.cgi/xmltodb/">CVS</a>
-   system. You'll need both the "metacat" module and the "utilities" module to
-   be checked out in sibling directories. The command is as follows: 
-   <pre>mkdir knb-software</pre>
-   <pre>cd knb-software</pre>
-   <pre>cvs checkout -P metacat</pre>
-   <pre>cvs checkout -P utilities</pre>  
-   Or you can 
-   <a href="/software/download.html">download</a> a gzipped tar file
-   from this site.
-  </p>
-   <p>
-   Once you have either checked out or unzipped and untarred the source
-   distribution, you can begin the installation process.  Change into the 
-   metacat directory and edit the file called "<code>build.properties</code>".  You will need 
-   to change a number of configuration properties to match the setup on
-   your system. The property values that you will likely need to change are described in 
-   detail in the following table:
-  </p>
-  <br/>
-  <table border="1">
-    <tr>
-      <td><b>Property</b></td>
-      <td><b>Description</b></td>
-      <td><b>Default value and examples of other values</b></td>
-    </tr>
-    <tr>
-      <td>tomcat</td>
-      <td>The tomcat property is the location in which tomcat is installed.</td>
-      <td>Default:&nbsp;&nbsp;
-          <code>/usr/local/devtools/jakarta-tomcat</code>
-      <br><br>Example:&nbsp;&nbsp;
-          <code>C:/Tomcat-5.5</code></td>
-    </tr>
-    <tr>
-      <td>deploy.dir</td>
-      <td>The deploy.dir property is the location in which your tomcat servlet 
-          contexts are deployed. This is typically "${tomcat}/webapps",
-          where ${tomcat} is the same value that you entered for the 'tomcat'
-          property above.
-      </td>
-      <td>Default:&nbsp;&nbsp;
-          <code>/var/www/org.ecoinformatics.knb</code>
-      <br><br>Example:&nbsp;&nbsp;
-          <code>C:/Tomcat-5.5/webapps</code>
-      </td>
-    </tr>
-    <tr>
-      <td>tomcatversion</td>
-      <td>The tomcatversion property is the version of Tomcat in which you 
-          want Metacat to run. This will determine the location of some
-          jar files coming with Tomcat. 
-          <p>
-            <em>Note: Tomcat 3 and 4 are no longer tested or supported by Metacat.
-                Users are highly encouraged to upgrade to Tomcat 5.5.
-            </em>
-          </p>
-          <p>
-            <em>Also note: a property value of 'tomcat5' can be set when using
-                either Tomcat 5.0 or Tomcat 5.5.
-            </em>
-          </p>
-      </td>
-      <td>Default:&nbsp;&nbsp;
-          <code>tomcat5</code>
-      <br><br>Other possible values (deprecated):&nbsp;&nbsp;
-          <code>tomcat3 tomcat4</code>
-      </td>
-      </td>
-    </tr>
-    <tr>
-      <td>metacat.context</td>
-      <td>The metacat.context property is the name of the servlet context in which you 
-          want Metacat to be installed. This will determine the installation 
-          directory for the servlet and many of the URLs that are used to access
-          the installed Metacat server.</td>
-      <td>Default:&nbsp;&nbsp;
-          <code>knb</code>
-      <br><br>Example:&nbsp;&nbsp;
-          <code>mycontext</code>
-      </td>
-    </tr>
-    <tr>
-      <td>config.hostname</td>
-      <td>The config.hostname property is the hostname of the server on which Metacat is 
-          running (note that you should not include the 'http://' in the config.hostname
-          property).
-      </td>
-      <td>Default:&nbsp;&nbsp;
-         <code>knb.ecoinformatics.org</code>
-      <br><br>Example:&nbsp;&nbsp;
-         <code>somehost.university.edu</code>
-      </td>
-    </tr>
-    <tr>
-      <td>config.port</td>
-      <td>The config.port property is the HTTP plain port number that is used to connect to Metacat.
-          If Tomcat is running stand-alone, the value will typically be 8080.</td>
-      <td>Default:&nbsp;&nbsp;
-          <code>80</code>
-      <br><br>Example:&nbsp;&nbsp;
-          <code>8080</code>
-      </td>
-    </tr>
-    <tr>
-      <td>config.port.https</td>
-      <td>The config.port.https property is the HTTP secure port number that is used to connect to Metacat,
-          generally when replicating documents to and from other Metacat servers.
-          If Tomcat is running stand-alone, the value will typically be 8443.</td>
-      <td>Default:&nbsp;&nbsp;
-          <code>443</code>
-      <br><br>Example:&nbsp;&nbsp;
-          <code>8443</code>
-      </td>
-    </tr>
-    <tr>
-      <td><a name="auth.url">auth.url</td>
-      <td>URL to the LDAP server. The LDAP server is used in the default
-          authentication module to authenticate and identify users of the
-          system.  To participate in the KNB network, you should leave this at
-          the default.  But it can be changed if you want to use a 
-          different directory of users.
-      </td>
-      <td>Default:&nbsp;&nbsp;
-          <code>ldap://ldap.ecoinformatics.org/dc=ecoinformatics,dc=org</code>
-      </td>
-    </tr>
-    <tr>
-      <td>database</td>
-      <td>Select the database to use for metadata storage.
-          <p>
-          The build file is preconfigured to install Metacat either using 
-          Oracle, PostgreSQL, or Microsoft SQL Server as a backend database.  
-          To change the database system, simply change the value of the 'database' 
-          property to be the name of the database target that you wish to use.
-          </p>
-          <p>
-          Valid values are <code>oracle</code>, <code>postgresql</code>, or
-          <code>sqlserver</code>. <em>Note that sqlserver support is minimal and
-          probably will not work without substantial changes on your part,
-          possibly including code changes.  We have not recently tested on 
-          sqlserver.</em>
-          </p>
-      </td>
-      <td>Default:&nbsp;&nbsp;
-          <code>postgresql</code>
-      <br><br>Other possible values:&nbsp;&nbsp;
-          <code>oracle</code>&nbsp;&nbsp;
-          <code>sqlserver</code>
-      </td>
-    </tr>
-    <tr>
-      <td>jdbc-connect</td>
-      <td>The JDBC connection string used to connect to the database.</td>
-      <td>Default:&nbsp;&nbsp;
-          <code>jdbc:postgresql://localhost/metacat</code>
-      <br><br>Example:&nbsp;&nbsp;
-          <code>jdbc:oracle:thin:@somehost.university.edu:1521:metacat</code>
-      </td>
-    <tr>
-      <td>jdbc-base</td>
-      <td>The base directory for locating JDBC jar files. When using the postgresql database, the default setting of './lib' can be used,
-          while oracle and sqlserver databases will require a different setting since these jar files are not included in the Metacat
-          distribution.</td>
-      <td>Default:&nbsp;&nbsp;
-          <code>./lib</code>
-      <br><br>Example:&nbsp;&nbsp;
-          <code>/usr/oracle/jdbc/lib</code><br>
-      </td>
-    </tr>
-    <tr>
-      <td>user</td>
-      <td>The database user name that you set up to use Metacat.</td>
-      <td>Default:&nbsp;&nbsp;
-          <code>metacat</code>
-      <br><br>Example:&nbsp;&nbsp;
-          <code>metacatuser</code>
-      </td>
-    </tr>
-    <tr>
-      <td>password</td>
-      <td>The database password that you set up to use Metacat.</td>
-      <td>Default:&nbsp;&nbsp;
-          <code>yourPasswordHere</code>
-      <br><br>Example:&nbsp;&nbsp;
-          <code>metacat123</code>
-      </td>
-    </tr>
-    <tr>
-      <td>datafilepath</td>
-      <td>The datafilepath is the directory to store data files.</td>
-      <td>Default:&nbsp;&nbsp;
-          <code>/var/metacat/data</code>
-      <br><br>Example:&nbsp;&nbsp;
-          <code>C:/Tomcat-5.5/data/metacat/data</code>
-      </td>
-    </tr>
-    <tr>
-      <td>inlinedatafilepath</td>
-      <td>The inlinedatafilepath is the directory to store inline data that
-          has been extracted from EML documents.</td>
-      <td>Default:&nbsp;&nbsp;
-          <code>/var/metacat/inline-data</code>
-      <br><br>Example:&nbsp;&nbsp;
-          <code>C:/Tomcat-5.5/data/metacat/inlinedata</code>
-      </td>
-    </tr>
-    <tr>
-      <td>default-style</td>
-      <td>The default-style parameter defines the "style-set" that is to be used
-          by default when the qformat parameter is missing or set to "html"
-          during a query. It is set to "default", which is one of the styles that 
-          ships with the default metacat distribution. Other possible settings
-          are shown in the examples to the right.</td>
-      <td>Default:&nbsp;&nbsp;
-          <code>default</code>
-      <br><br>Examples:<code>esa kepler knb knb2 knp lter ltss nceas nrs obfs pisco specnet</code>
-      </td>
-    </tr>
-    <tr>
-      <td>administrators</td>
-      <td>The administrators parameter lists the accounts that are allowed to
-          perform administrative actions such as rebuilding indices for 
-          documents. The list can contain more than one account separated
-          by colons.</td>
-      <td>Default:&nbsp;&nbsp;
-          <code>uid=jones,o=NCEAS,dc=ecoinformatics,dc=org</code>
-      <br><br>Examples:&nbsp;&nbsp;
-          <code>uid=localadmin,o=ucnrs.org</code>
-      </td>
-    </tr>
-	
-	<!-- start lsid stuff -->
-	<tr>
-      <td>authority.context</td>
-      <td>This is the context for the (Life Sciences Identifier) LSID authority.
-        LSID support is an optional feature which can be configured to provide
-        metacat access to LSID clients. For more information on LSID's see <a href="http://wiki.gbif.org/guidwiki/wikka.php?wakka=LSID">TDWG
-        site</a>.</td>
-      <td>Default: <code>authority</code></td>
-    </tr>
-	<tr>
-      <td>config.lsidauthority</td>
-      <td>This is the name of the LSID authority that this metacat should use.
-        This authority needs to be defined as SRV record in a DNS.</td>
-      <td><p>Default: <code>ecoinformatics.org</code></p>
-        <p>Examples: <code>esa.org</code> or <code>sulphur.ecoinformatics.org</code></p></td>
-    </tr>
-    <tr>
-      <td>install.ecogrid</td>
-      <td>Enables EarthGrid web services. EarthGrid web services are disabled by default. 
-          To enable EarthGrid web services (including query, put, authentication and 
-          identifier interface), set this value to <code>true</code>, and also set the value
-          of the <em>metacat.dir</em> property as detailed below.</td>
-      <td>
-          Default:&nbsp;&nbsp;<code>false</code>
-      </td>
-    </tr>
-    <tr>
-      <td>metacat.dir</td>
-      <td>If the <em>install.ecogrid</em> property (see above) is set to <code>true</code>, this
-          property should be set to the absolute path of the top-level metacat directory.
-          If <em>install.ecogrid</em> is set to <code>false</code> (the default setting), 
-          the value of <em>metacat.dir</em> is ignored.          
-      </td>
-      <td>Default:&nbsp;&nbsp;<code>/home/tao/project/metacat</code></td>
-    </tr>
-  </table>
-   Note: If property "install.ecogrid" is set to be true(EarthGrid is enabled), you need to change the value of "metacatURL" to your metacat url in
-   seek/projects/ecogrid/conf/MetacatImpl/classes/metacat.properties file.
-  <br>
-
-  <p>
-  Other properties in <code>build.properties</code> that you can (but generally need not) change:
-  </p>
-
-  <table border="1">
-    <tr>
-      <td><b>Property</b></td>
-      <td><b>Description</b></td>
-      <td><b>Default value and examples of other values</b></td>
-    </tr>
-    <tr>
-      <td>server</td>
-      <td>The server property is the hostname and port number of the server that Metacat uses
-          for replicating documents to and from other Metacat servers, which should be with the secure (HTTPS) port.
-          Since this property is usually composed of the <code>config.hostname</code> and <code>config.port.https</code> properties (described above),
-          the default setting can be used in most cases.
-      </td>
-      <td>Default:&nbsp;&nbsp;<code>${config.hostname}:${config.port.https}</code></td>
-    </tr>
-    <tr>
-      <td>httpserver</td>
-      <td>httpserver is the plain HTTP address and port number that Metacat uses for purposes
-          other than replication. Since this property is usually composed of the <code>config.hosthame</code> and <code>config.port</code>
-          properties (described above), the default setting can be used in most cases.</td>
-      <td>Default:&nbsp;&nbsp;<code>${config.hostname}:${config.port}</code>
-      </td>
-    </tr>
-    <tr>
-      <td>http.protocol</td>
-      <td>http.protocol is the string used in the leading part of a URL to indicate use of the HTTP protocol.</td>
-      <td>Default:&nbsp;&nbsp;<code>http</code>
-      </td>
-    </tr>
-    <tr>
-      <td>config.metacatserver</td>
-      <td>The URL to the metacat server, composed in part from three other properties (http.protocol, httpserver, and metacat.context).</td>
-      <td>Default:&nbsp;&nbsp;<code>${http.protocol}://${httpserver}/${metacat.context}/metacat</code>
-      </td>
-    </tr>
-    <tr>
-      <td>inst.cgi.dir</td>
-      <td>Installation directory for registry CGI scripts</td>
-      <td>Default:&nbsp;&nbsp;
-          <code>/var/www/cgi-knb</code>
-      </td>
-    </tr>
-    <tr>
-      <td>cgi-prefix</td>
-      <td>The URL used for executing CGI scripts</td>
-      <td>Default:&nbsp;&nbsp;
-          <code>http://${httpserver}/cgi-bin</code>
-      </td>
-    </tr>
-    <tr>
-      <td>cvsroot</td>
-      <td>CVS access to retrieve latest EML. Only used by
-          developers in building the release.</td>
-      <td>Default:&nbsp;&nbsp;
-          <code><pre>:ext:${env.USER}@cvs.ecoinformatics.org:/cvs</pre></code>
-          Example:&nbsp;&nbsp;
-          <code><pre>:ext:myaccount@cvs.ecoinformatics.org:/cvs</pre></code>
-      </td>
-    </tr>
-    <tr>
-      <td>knb-site-url</td>
-      <td>This is the URL to the web context root for the knb site. 
-          It is used for the qformat=knb skin only.</td>
-      <td>Default:&nbsp;&nbsp;
-          <code>http://knb.ecoinformatics.org</code>
-      </td>
-    </tr>
-    <tr>
-      <td>timedreplication</td>
-      <td>Determines whether timed replication to other metacat servers is being used.</td>
-      <td>Default:&nbsp;&nbsp;
-          <code>false</code>
-      <br><br>Other possible values:&nbsp;&nbsp;
-          <code>true</code>
-      </td>
-    </tr>
-    <tr>
-      <td>firsttimedreplication</td>
-      <td>The time for starting first timed replication if timedreplication is true.
-          (See comments in build.properties file for additional details.)</td>
-      <td>Default:&nbsp;&nbsp;
-          <code>10:00 PM</code>
-          <code>&nbsp;</code>
-      </td>
-    </tr>
-    <tr>
-      <td>timedreplicationinterval</td>
-      <td>The interval to next timed replication if timedreplication is true.
-          The value is in milliseconds and default value is 48 hours.</td>
-      <td>Default:&nbsp;&nbsp;
-          <code>172800000</code>
-          <code>&nbsp;</code>
-      </td>
-    </tr>
-    <tr>
-      <td>forcereplicationwaitingtime</td>
-      <td>The waiting time before replication is forced to begin after
-          uploading a package. The default value should usually suffice.</td>
-      <td>Default:&nbsp;&nbsp;
-          <code>30000</code>
-          <code>&nbsp;</code>
-      </td>
-    </tr>
-    <tr>
-      <td>log.dir</td>
-      <td>The directory where replication log files are to be written by Metacat.</td>
-      <td>Default:&nbsp;&nbsp;<code>${tomcat}/logs</code></td>
-    </tr>
-    <tr>
-      <td>moderators</td>
-      <td>Moderator accounts, in a colon-separated list. Specifies a list of special users who can review a general user's submission. 
-             Moderators can approve, revise and reject the submission after reviewing. This property is only used in the ESA skin.</td>
-      <td>Default:&nbsp;&nbsp;<code>cn=knb-prod,o=NCEAS,dc=ecoinformatics,dc=org</code></td>
-    </tr>
-    <tr>
-      <td>allowedSubmitters</td>
-      <td>Specifies the list of users who should be allowed to submit documents. 
-          If no value is specified (the default setting), all users will be allowed to submit documents.
-      </td>
-      <td>Default:&nbsp;&nbsp;(no value)</td>
-    </tr>
-    <tr>
-      <td>deniedSubmitters</td>
-      <td>Specify the list of users who should not be allowed to submit documents. 
-          If no value is specified (the default setting), all users will be allowed to submit documents.</td>
-      <td>Default:&nbsp;&nbsp;(no value)</td>
-    </tr>
-    <tr>
-      <td>config.metadataLabelLsid</td>
-      <td> </td>
-      <td>Default:&nbsp;&nbsp;<code>${config.lsidauthority}</code></td>
-    </tr>
-    <tr>
-      <td>build.dir</td>
-      <td>The name of the subdirectory that is created when metacat is built by the 'ant' tool.</td>
-      <td>Default:&nbsp;&nbsp;<code>build</code></td>
-    </tr>
-    <tr>
-      <td>lsid.build.dir</td>
-      <td>The name of the subdirectory for building the LSID component of metacat.</td>
-      <td>Default:&nbsp;&nbsp;<code>${build.dir}/lsid</code></td>
-    </tr>
-    <tr>
-      <td>lib.dir</td>
-      <td>The name of the subdirectory where library (.jar) files and a number of other important files are located.</td>
-      <td>Default:&nbsp;&nbsp;<code>lib</code></td>
-    </tr>
-    <tr>
-      <td>lsid.lib.dir</td>
-      <td>The name of the subdirectory where LSID library (.jar) files are located.</td>
-      <td>Default:&nbsp;&nbsp;<code>${lib.dir}/lsid_lib</code></td>
-    </tr>
-    <tr>
-      <td>lsid.classes.dir</td>
-      <td>The relative path to the location of Java classes that support LSID.</td>
-      <td>Default:&nbsp;&nbsp;<code>edu/ucsb/nceas/metacat/lsid</code></td>
-    </tr>
-    <tr>
-      <td>conf.dir</td>
-      <td>The name of the directory where LSID configuration files are located.</td>
-      <td>Default:&nbsp;&nbsp;<code>lib/lsid_conf</code></td>
-    </tr>
-    <tr>
-      <td>services.dir</td>
-      <td>The name of the directory where LSID services configuration files are located.</td>
-      <td>Default:&nbsp;&nbsp;<code>${conf.dir}/services</code></td>
-    </tr>
-    <tr>
-      <td>webinf.dir</td>
-      <td>The name of the directory where additional LSID web services files are located.</td>
-      <td>Default:&nbsp;&nbsp;<code>${conf.dir}/WEB-INF</code></td>
-    </tr>
-    <tr>
-      <td>compile.debug</td>
-      <td>Indicates whether Java source should be compiled with debug information.</td>
-      <td>Default:&nbsp;&nbsp;<code>true</code></td>
-    </tr>
-    <tr>
-      <td>compile.deprecation</td>
-      <td>Indicates whether Java source should be compiled with deprecation information.</td>
-      <td>Default:&nbsp;&nbsp;<code>false</code></td>
-    </tr>
-    <tr>
-      <td>compile.optimize</td>
-      <td>Indicates whether Java source should be compiled with optimization.</td>
-      <td>Default:&nbsp;&nbsp;<code>true</code></td>
-    </tr>
-    <tr>
-      <td>indexPaths</td>
-      <td>The <em>indexPaths</em> property specifies a comma-separated (potentially long) list 
-          of indexed paths that can be utilized to improve the
-          performance of metacat queries. Each component of the <em>indexPaths</em> property
-          should specify an absolute or relative path (using an XPath-like syntax) to an XML element or 
-          attribute present in the XML documents being queried. Metacat stores XML 
-          element and attribute values for indexed paths in a special database table 
-          that optimizes search performance.
-          <p>Metacat queries allow you to specify (using the &lt;pathexpr&gt; tag in search query) 
-          an exact path to which you want
-          to restrict the search. When the &lt;pathexpr&gt; path that is specified in the query
-          is a member of the <em>indexPaths</em> list, search results are returned faster 
-          because metacat can conduct its search using the optimized database table.
-          <p>
-          The default value for the <em>indexPaths</em> property contains numerous paths to EML
-          elements and attributes that are commonly queried by metacat search tools. 
-          For example, <em>keyword</em> is a
-          member of this list because it is common for search tools to query
-          the <em>keyword</em> field in EML documents. For most purposes, the default value will
-          optimize various types of searches on EML documents and need not be changed.
-          <p>
-          For more information about metacat queries, 
-          see <a href="./metacatquery.html">Queries and Results</a>.
-      </td>
-      <td>Default:&nbsp;&nbsp;<code>organizationName,originator/individualName/surName,...</code></td>
-    </tr>
-  </table>
-  <p>
-  Metacat has a number of additional settable properties in file
-  <code>lib/metacat.properties</code>. Under most circumstances,
-  you will not need to modify this file because the properties of interest
-  to you can be controlled by editing <code>build.properties</code> as
-  described above. To learn more about Metacat's additional properties,
-  see <a href="./properties.html">Metacat Properties File</a>.
-  </p>
-  <p class="emphasis">
-   Note: When setting properties, DO NOT add a trailing slash [/] to the end of any paths that are specified.
-   Metacat will not function correctly if you do so.
-  </p>
-
-</td>
-</tr>
-</table>
-
-<table class="tabledefault" width="100%">
-<td class="tablehead" colspan="2"><p><a name="Compilation and Installation"><h2>Compilation and Installation</h2></p></td>
-<tr>
-<td>
-  <a name="protocol"></a>
-  <p>This section is only for a fresh installation. If you are upgrading an existing Metacat, please skip
-  this section and go to the next one -  <a HREF="metacatinstall.html#Upgrade">Compilation and Upgrading Existing Metacat</a>
-  <p>    
-  <h3>Run Ant Build</h3></p>
-  <p>
-   Ant allows compilation and installation to be done in one step.
-   Change into the metacat directory and type: 
-   <pre><b>ant install</b></pre>
-   <p>
-   You should see a bunch of messages telling you the progress of compilation
-   and installation.  When it is done you should see the message 
-   BUILD SUCCESSFUL
-   and you should be returned to a UNIX command prompt.  If you do not see
-   the message BUILD SUCCESSFUL then there was an error that you need to 
-   resolve.
-   This may come up if you are logged in as a user that does not have write
-   access to one or more of the directories that are listed in the build.xml
-   file, or if any of the paths to files are not configured correctly in the
-   "config" target.
-  </p>
-  <p>
-  Note: The 'data' directories that are indicated in the 'datafilepath' and
-  'inlinedatafilepath' build properties must be writable
-  by user account under which Tomcat runs or you will not be able to upload 
-  data files to the system.
-  </p>
-
-  <p class="header">To install metacat LSID support, adjust the LSID-related
-    properties in the build.properties files and type:
-  <p class="header"><b>ant deploy-lsid</b>
-  <p>    
-  <h3>SQL Scripts</h3></p>
-  <p>
-   You now need to set up the table structure in your database.  You can 
-   do this either using the ant build system, or by manually running the
-   scripts using a sql utility.
-  </p>
-  <p><b>WARNING: Do NOT run this on an existing metacat installation as it
-  will delete all of your data.  If you have an existing metacat installation,
-  see the instructions for <a HREF="metacatinstall.html#Upgrade">"Compilation and Upgrading Existing Metacat"</a> below.</b></p>
-
-  <p>To run the scripts using ant, type
-   <pre><b>ant installdb</b></pre> 
-  </p>
-  <p>To run the scripts manually, change to the
-   metacat/build/src directory.  Then run you RDBMS's SQL utility.  In Oracle it is
-   SQLPlus.  This tutorial assumes an Oracle database so this example is for
-   SQLPlus.  Login as the oracle user that was set up for use with Metacat.
-   At the SQLPlus prompt type the following: <pre><b>@xmltables.sql;</b></pre>
-   For postgres, use a command like: 
-   <code>psql -U metacat -W -h localhost -f build/src/xmltables-postgres.sql metacat</code>
-  </p>
-  <p>Either way, 
-   you should see a bunch of output showing the creation of the Metacat table
-   space. The first time you run this script you will get several errors at the 
-   beginning saying that you cannot drop a table/index/trigger because it 
-   does not exist.  This is normal.  Any other errors besides this need to be
-   resolved before continuing. The script file name for PostgreSQL is 
-   xmltables-postgres.sql and for Microsoft SQL server is 
-   xmltables-sqlserver.sql.
-  </p>
-  <p>
-   If the script has run correctly you should be able to type 
-   <pre>describe xml_documents</pre> and it should show:
-   <pre>
-    Name            Null?         Type
-    --------------  ------------  ---------------- 
-     DOCID          NOT NULL      VARCHAR2(250)
-     ROOTNODEID                   NUMBER(20)
-     DOCNAME                      VARCHAR2(100)
-     DOCTYPE                      VARCHAR2(100)
-     DOCTITLE                     VARCHAR2(1000)
-     USER_OWNER                   VARCHAR2(100)
-     USER_UPDATED                 VARCHAR2(100)
-     SERVER_LOCATION              NUMBER(20)
-     REV                          NUMBER(10)
-     DATE_CREATED                 DATE
-     DATE_UPDATED                 DATE
-     PUBLIC_ACCESS                NUMBER(1)
-     UPDATED                      NUMBER(1)
-   </pre>
-  </p>
-  <p><h3>Register schemas and DTDs</h3></p>
-  <p>Once the tables have been created, you should also register the Ecological
-  Metadata Language (EML) DTDs and schemas. <b>However, note that you should 
-  NOT do this if you are upgrading an existing installation -- the upgrade
-  scripts take care of it for you (see the next section).</b>  If you are
-  installing new, you can register the schema documents by running:</p>
-  <pre><b>ant register-schemas</b></pre> 
-  <p>This command registers the EML DTDs' and schemas' location in the 
-  metacat server.  Your database username and password have to be set correctly
-  for this to work.  Also, if for some reason running this script from ant
-  does not work, you could instead try running "build/src/loaddtdschema.sql"
-  from your sql utility (but be sure to use the version in the 'build' directory
-  that has been customized for your installation).
-  </p>
-  <h3>Restart Tomcat</h3>
-  <p>
-   Once you have successfully installed Metacat, there is one more step.  Tomcat
-   (and Apache if you have Tomcat integrated with it) must be restarted.  To do
-   this, login as the user that runs your tomcat server (often "tomcat"),
-   go to $CATALINA_HOME/bin and type:
-   <pre>
-   <b>
-   ./shutdown.sh 
-   ./startup.sh
-   </b> 
-   </pre>
-   In the Tomcat startup messages you should see something in the log file like:
-   <pre>
-	Metacat: [WARN]: Metacat (1.8.1) initialized. [edu.ucsb.nceas.metacat.MetaCatServlet]
-   </pre>
-   If you see that message Tomcat is successfully loading the Metacat servlet.
-   Next, try to run your new servlet.  Go to a web browser and type:
-   <pre>http://yourserver.yourdomain.com/yourcontext/</pre>
-   You should substitute your context name for "yourcontext" in the url above.
-   If everything is working correctly, you should see a query page followed
-   by an empty result set.  Note that if you do not have Tomcat integrated with
-   Apache you will probably have to type
-   <pre>http://yourserver.yourdomain.com:8080/yourcontext/</pre>
-  </p>
-  <p><b>Troubleshooting</b>: If you see something like java.lang.InternalError: 
-  Can't connect to X11 window server using 'yourservanme:0.0' as the value of the DISPLAY variable.
-  <p>You should add this line: 
-  <b>JAVA_OPTS="-Djava.awt.headless=true $JAVA_OPTS"</b> at the first line of
-  catalina.sh file in tomcat bin directory. The reason is that GeoServer uses X11 windows to draw graphics.
-  </p>
-  
-  <h3>Deploy wsdl file (Only for EarthGrid-enabled Metacat installation) </h3>
-  <p>
-   Once Tomcat is running successfully, there is another step for EarthGrid-enabled Metacat installation. 
-   In metacat directory, type:
-   <pre><b>ant deploy-ecogrid</b></pre> 
-   It will generate wsdl files for EarthGrid services.
-   </p>
-
-</td>
-</tr>
-</table>
\ No newline at end of file

Property changes on: docs/user/metacatinstall-backup.html
___________________________________________________________________
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property