Index: test/edu/ucsb/nceas/metacattest/SubTreeTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/SubTreeTest.java	(revision 4700)
+++ test/edu/ucsb/nceas/metacattest/SubTreeTest.java	(revision 4701)
@@ -29,7 +29,7 @@
 import edu.ucsb.nceas.MCTestCase;
 import edu.ucsb.nceas.metacat.*;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 import junit.framework.Test;
 import junit.framework.TestSuite;
@@ -52,8 +52,8 @@
   {
 	  try
 	  {
-		  MetaCatUtil.pathsForIndexing 
-		         = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
+		  MetacatUtil.pathsForIndexing 
+		         = MetacatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
 	  }
 	  catch(Exception e)
 	  {
Index: test/edu/ucsb/nceas/metacattest/UploadIPCCDataTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/UploadIPCCDataTest.java	(revision 4700)
+++ test/edu/ucsb/nceas/metacattest/UploadIPCCDataTest.java	(revision 4701)
@@ -30,7 +30,7 @@
 import edu.ucsb.nceas.metacat.client.Metacat;
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.IOUtil;
 import edu.ucsb.nceas.utilities.XMLUtilities;
 //import edu.ucsb.nceas.morpho.framework.*;
@@ -82,8 +82,8 @@
 		  try
 		  {
 			  PropertyService.getInstance("build/tests");
-			  MetaCatUtil.pathsForIndexing 
-			         = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
+			  MetacatUtil.pathsForIndexing 
+			         = MetacatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
 		  }
 		  catch(Exception e)
 		  {
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java	(revision 4700)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java	(revision 4701)
@@ -33,7 +33,7 @@
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestDocument;
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestSiteSchedule;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 import java.sql.Connection;
 import junit.framework.Test;
@@ -55,8 +55,8 @@
   {
 	  try
 	  {
-		  MetaCatUtil.pathsForIndexing 
-		         = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
+		  MetacatUtil.pathsForIndexing 
+		         = MetacatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
 	  }
 	  catch(Exception e)
 	  {
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java	(revision 4700)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java	(revision 4701)
@@ -30,7 +30,7 @@
 import edu.ucsb.nceas.MCTestCase;
 import edu.ucsb.nceas.metacat.harvesterClient.Harvester;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 import junit.framework.Test;
@@ -47,7 +47,7 @@
 	/* Initialize Properties */
 	static {
 		try {
-			MetaCatUtil.pathsForIndexing = MetaCatUtil.getOptionList(
+			MetacatUtil.pathsForIndexing = MetacatUtil.getOptionList(
 					PropertyService.getProperty("xml.indexPaths"));
 		} catch (Exception e) {
 			System.err.println("Exception in initialize option in MetacatServletNetTest "
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java	(revision 4700)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java	(revision 4701)
@@ -32,7 +32,7 @@
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestSiteSchedule;
 import edu.ucsb.nceas.metacat.harvesterClient.Harvester;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 import java.io.StringReader;
 import java.util.Date;
@@ -54,8 +54,8 @@
   {
 	  try
 	  {
-		  MetaCatUtil.pathsForIndexing 
-		         = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
+		  MetacatUtil.pathsForIndexing 
+		         = MetacatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
 	  }
 	  catch(Exception e)
 	  {
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java	(revision 4700)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java	(revision 4701)
@@ -36,7 +36,7 @@
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestDocument;
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestLog;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 import junit.framework.Test;
 import junit.framework.TestSuite;
@@ -58,8 +58,8 @@
   {
 	  try
 	  {
-		  MetaCatUtil.pathsForIndexing 
-		         = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
+		  MetacatUtil.pathsForIndexing 
+		         = MetacatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
 	  }
 	  catch(Exception e)
 	  {
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java	(revision 4700)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java	(revision 4701)
@@ -31,7 +31,7 @@
 import edu.ucsb.nceas.metacat.harvesterClient.Harvester;
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestSiteSchedule;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 import java.util.Date;
 import javax.xml.parsers.ParserConfigurationException;
@@ -53,8 +53,8 @@
   {
 	  try
 	  {
-		  MetaCatUtil.pathsForIndexing 
-		         = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
+		  MetacatUtil.pathsForIndexing 
+		         = MetacatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
 	  }
 	  catch(Exception e)
 	  {
Index: test/edu/ucsb/nceas/metacattest/ReplicationServerListTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/ReplicationServerListTest.java	(revision 4700)
+++ test/edu/ucsb/nceas/metacattest/ReplicationServerListTest.java	(revision 4701)
@@ -29,7 +29,7 @@
 import edu.ucsb.nceas.MCTestCase;
 import edu.ucsb.nceas.metacat.*;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import junit.framework.Test;
 import junit.framework.TestSuite;
 import org.apache.commons.logging.Log;
@@ -51,8 +51,8 @@
 		  {
 			 metacatReplicationURL=
                      PropertyService.getProperty("junitreplicationurl");
-			  MetaCatUtil.pathsForIndexing 
-			         = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
+			  MetacatUtil.pathsForIndexing 
+			         = MetacatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
 		  }
 		  catch(Exception e)
 		  {