Index: src/edu/ucsb/nceas/metacat/advancedsearch/AdvancedSearchServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/advancedsearch/AdvancedSearchServlet.java	(revision 4707)
+++ src/edu/ucsb/nceas/metacat/advancedsearch/AdvancedSearchServlet.java	(revision 4708)
@@ -121,7 +121,7 @@
 		dirPath = context.getRealPath(CONFIG_DIR);
 
 		try {
-			PropertyService.getInstance(dirPath);
+			PropertyService.getInstance();
 			this.contextString = PropertyService.getProperty("application.context");
 		} catch (ServiceException se) {
 			System.err.println("Error in loading properties: " + se.getMessage());
Index: src/edu/ucsb/nceas/metacat/advancedsearch/BrowseServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/advancedsearch/BrowseServlet.java	(revision 4707)
+++ src/edu/ucsb/nceas/metacat/advancedsearch/BrowseServlet.java	(revision 4708)
@@ -123,7 +123,7 @@
 		dirPath = context.getRealPath(CONFIG_DIR);
 
 		try {
-			PropertyService.getInstance(dirPath);
+			PropertyService.getInstance();
 			this.contextString = PropertyService.getProperty("application.context");
 		} catch (ServiceException se) {
 			System.err.println("Error in loading properties: " + se.getMessage());
Index: src/edu/ucsb/nceas/metacat/advancedsearch/SearchServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/advancedsearch/SearchServlet.java	(revision 4707)
+++ src/edu/ucsb/nceas/metacat/advancedsearch/SearchServlet.java	(revision 4708)
@@ -124,7 +124,7 @@
 		dirPath = context.getRealPath(CONFIG_DIR);
 
 		try {
-			PropertyService.getInstance(dirPath);
+			PropertyService.getInstance();
 			this.contextString = PropertyService.getProperty("application.context");
 		} catch (ServiceException se) {
 			System.err.println("Error in loading properties: " + se.getMessage());
Index: src/edu/ucsb/nceas/metacat/advancedsearch/LoginServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/advancedsearch/LoginServlet.java	(revision 4707)
+++ src/edu/ucsb/nceas/metacat/advancedsearch/LoginServlet.java	(revision 4708)
@@ -137,7 +137,7 @@
 		dirPath = context.getRealPath(CONFIG_DIR);
 
 		try {
-			PropertyService.getInstance(dirPath);
+			PropertyService.getInstance();
 			this.contextString = PropertyService.getProperty("application.context");
 		} catch (ServiceException se) {
 			System.err.println("Error in loading properties: " + se.getMessage());
Index: src/edu/ucsb/nceas/metacat/harvesterClient/Harvester.java
===================================================================
--- src/edu/ucsb/nceas/metacat/harvesterClient/Harvester.java	(revision 4707)
+++ src/edu/ucsb/nceas/metacat/harvesterClient/Harvester.java	(revision 4708)
@@ -88,7 +88,7 @@
     String configDir = test ? CONFIG_DIR_TEST : CONFIG_DIR;    
 
     try {
-    	PropertyService.getInstance(configDir);
+    	PropertyService.getInstance();
     } 
     catch (ServiceException e) {
       System.out.println("Error in loading properties: " + e.getMessage());
Index: src/edu/ucsb/nceas/metacat/harvesterClient/MetUpload.java
===================================================================
--- src/edu/ucsb/nceas/metacat/harvesterClient/MetUpload.java	(revision 4707)
+++ src/edu/ucsb/nceas/metacat/harvesterClient/MetUpload.java	(revision 4708)
@@ -193,7 +193,7 @@
 		dirPath = context.getRealPath(CONFIG_DIR);
 
 		try {
-			PropertyService.getInstance(dirPath);
+			PropertyService.getInstance();
 			metacatURL = SystemUtil.getServletURL();
 		} catch (ServiceException se) {
 			System.out.println("Service problem while initializing MetUpload: " + se.getMessage());
Index: src/edu/ucsb/nceas/metacat/harvesterClient/HarvesterRegistration.java
===================================================================
--- src/edu/ucsb/nceas/metacat/harvesterClient/HarvesterRegistration.java	(revision 4707)
+++ src/edu/ucsb/nceas/metacat/harvesterClient/HarvesterRegistration.java	(revision 4708)
@@ -743,7 +743,7 @@
 		dirPath = context.getRealPath(CONFIG_DIR);
 
 		try {
-			PropertyService.getInstance(dirPath);
+			PropertyService.getInstance();
 
 			dbDriver = PropertyService.getProperty("database.driver");
 			defaultDB = PropertyService.getProperty("database.connectionURI");