Index: lib/style/common/templates/esaGetReviews.tmpl
===================================================================
--- lib/style/common/templates/esaGetReviews.tmpl	(revision 4755)
+++ lib/style/common/templates/esaGetReviews.tmpl	(revision 4756)
@@ -33,7 +33,9 @@
 	</div>
 [% END %]
 
-[% IF reviewdocid != '' %]
+[% IF (matches = reviewdocid.match('^Error')) %]
+   [% reviewdocid %]
+[% ELSIF reviewdocid != '' %]
 	<h3 style="margin-top:-8px" class="review_emphasis">
 	Reviews 
 	<img id="busy" src="[% contextUrl %]/style/images/spinner.gif" style="display:none; margin-bottom: -3px;"/>
Index: lib/style/common/templates/esaModNotification.tmpl
===================================================================
--- lib/style/common/templates/esaModNotification.tmpl	(revision 4755)
+++ lib/style/common/templates/esaModNotification.tmpl	(revision 4756)
@@ -2,30 +2,30 @@
 Ecological Society of America moderator notice:
 [% IF stage == 'mod_accept' %]
 
-You have accepted the metadata entry for [%contactName%]'s article, [%dpTitle%].  This part of the article's submission process is now complete.  You can see the metadata entry as it currently stands at @systemidserver@@servlet-path@?action=read&qformat=esa&docid=[%docid%].  Once published, the entry will be available at @systemidserver@@servlet-path@?action=read&qformat=esa&docid=[%docid%].
+You have accepted the metadata entry for [% contactName %]'s article, '[% dpTitle %]'.  This part of the article's submission process is now complete.  You can see the metadata entry as it currently stands at [% registryUrl %]?action=read&qformat=esa&docid=[% docid %].  Once published, the entry will be available at [% registryUrl %]?action=read&qformat=esa&docid=[% docid %].
 
 [% ELSIF stage == 'mod_decline' %]		
 
-You have rejected the metadata entry for [%contactName%]'s article, '[%dpTitle%]'. This entry is no longer being considered for publication. Your comments (if any) on the reason for the rejection are listed below. 
+You have rejected the metadata entry for [% contactName %]'s article, '[% dpTitle %]'. This entry is no longer being considered for publication. Your comments (if any) on the reason for the rejection are listed below. 
 
 Your Comments:
-[%comment%]
+[% comment %]
 
 [% ELSIF stage == 'mod_revise' %]
 
-You have sent back for review the metadata entry for [%contactName%]'s article, [%dpTitle%].  Your comments on the areas that could be improved are noted below. You can edit the metadata entry as it currently stands at [% cgiPrefix %]/register-dataset.cgi?stage=modify&cfg=esa&docid=[%docid%].
+You have sent back for review the metadata entry for [% contactName %]'s article, [% dpTitle %].  Your comments on the areas that could be improved are noted below. You can edit the metadata entry as it currently stands at [% registryUrl %]?stage=modify&cfg=esa&docid=[% docid %].
 
 Your Comments:
-[%comment%]
+[% comment %]
 
 [% END %]
 [% ELSIF recipient_status == 'user' %]
 [% IF stage == 'mod_accept' %]
 
-Dear [%contactName%],
+Dear [% contactName %],
 
 We are happy to inform you that the metadata entry for your article submission,
-[%dpTitle%], has been accepted.  This part of the submission process is now
+[% dpTitle %], has been accepted.  This part of the submission process is now
 complete.  Your metadata entry can be cited in the future as a LSID (Life Science ID), and will be
 viewable online at @systemidserver@@servlet-path@?action=read&qformat=esa&docid=[%docid%] after publication.  Thank you for your cooperation.
 
@@ -62,12 +62,12 @@
 [%dpTitle%], is still missing some relevant information.  Please read the
 reviewer's comments below for any suggested additions and changes.  You are strongly
 encouraged to go back and address these issues with your entry.  You can login,
-edit, and resubmit your entry at [% cgiPrefix %]/register-dataset.cgi?stage=modify&cfg=esa&docid=[%docid%]. 
+edit, and resubmit your entry at [% registryUrl %]?stage=modify&cfg=esa&docid=[% docid %]. 
 
 The Ecological Society of America
 
 Reviewer's Notes:
-[%comment%]
+[% comment %]
 
 [% END %]
 [% END %]
Index: lib/style/common/templates/confirmData.tmpl
===================================================================
--- lib/style/common/templates/confirmData.tmpl	(revision 4755)
+++ lib/style/common/templates/confirmData.tmpl	(revision 4756)
@@ -345,7 +345,21 @@
         [% SET filePerm = "uploadperm_${cnt}" %]
         [% cnt = cnt + 1 %]
 
-        <p><span class="label">File #[% cnt %]:</span> [% $fileName %], [% $filePerm %] access</p>
+        <p>
+					<span class="label">File #[% cnt %]:</span> [% $fileName %], [% $filePerm %] access
+					[% dCount = 0 %]
+					[% IF delCount > 0 %]
+						 [% dCount = delCount %]
+					[% END %]
+					[% cntd = 0 %]
+					[% WHILE cntd < dCount %]
+							[% SET delfile = "deletefile_${cntd}" %]
+							[% IF $delfile == fileName %]
+								<span class="redbold">to be removed</b>	
+							[% END %]
+							[% cntd = cntd + 1 %]
+  				[% END %]   
+				</p>
     [% END %]
 [% END %]
 <hr>
@@ -524,6 +538,19 @@
   <input type="hidden" name="studyExtentDescription" value="[%studyExtentDescription%]">
   <input type="hidden" name="samplingDescription" value="[%samplingDescription%]">
   <input type="hidden" name="upCount" value="[%upCount%]">
+  <input type="hidden" name="delCount" value="[% delCount %]">
+  [% dCount = 0 %]
+  [% IF delCount > 0 %]
+     [% dCount = delCount %]
+  [% END %]
+  [% cnt = 0 %]
+  [% WHILE cnt < dCount %]
+ 		  [% SET delfile = "deletefile_${cnt}" %]
+      <input type="hidden" name="[% delfile %]" value="[% $delfile %]">
+			<input type="hidden" name="deletefile" value="[% $delfile %]">
+			[% cnt = cnt + 1 %]
+	[% END %]		
+
   [% fCount = 0 %]
   [% IF upCount > 0 %]
       [% fCount = upCount %]